function IsaacEventUpdListe(fighnd,varargin)
% Ajout (1) ou suppression (2) d'un abonn dans la liste ISAACPRIV.TabUpd
%
%	1) IsaacEventUpdListe(fighnd,dirname,filename)
%	2) IsaacEventUpdListe(fighnd,[])
%
% - fighnd		: handle de la figure abonne
% - dirname		: rpertoire de la fonction  executer
% - filename	: nom de la fonction  executer
%
% OpenIsaac
%  2018 Alain Clment - Universit d'Angers

%---------------------------------------------------------------------------------------------------

% Copyright 2007 - 2018 Universit d'Angers - Author: Alain Clment
%
% This program is free software; you can redistribute it and/or modify it under the terms of the GNU
% General Public License as published by the Free Software Foundation; either version 3 of the
% License, or any later version. This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
% PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received
% a copy of the GNU General Public License along with this program; if not, write to the Free
% Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

%---------------------------------------------------------------------------------------------------

global ISAACPRIV

switch nargin
case 2
	% suppression
	if ~isempty(varargin{1})
		error('argument incorrect')
	end	
	ISAACPRIV.TabUpd([ISAACPRIV.TabUpd.hnd] == fighnd) = [];
	ISAACPRIV.NbUpd = ISAACPRIV.NbUpd - 1;
case 3	
	% ajout
	ISAACPRIV.NbUpd = ISAACPRIV.NbUpd + 1; 
	ISAACPRIV.TabUpd(ISAACPRIV.NbUpd).hnd = fighnd;
	ISAACPRIV.TabUpd(ISAACPRIV.NbUpd).dirname = varargin{1}; % plus utilis mais conserv au cas ou
	ISAACPRIV.TabUpd(ISAACPRIV.NbUpd).filename = varargin{2};
otherwise
	error('nombre d''arguments incorrect')
end
