function EcolEdit_upd(fighnd,event,eventobj,auteur)
% Raction EcolEdit aux vnements recus
%
% @<- EVENEMENTS 1/2/31/51/81/111
%
% Tool for OpenIsaac
%  2018 Alain Clment - Universit d'Angers

%---------------------------------------------------------------------------------------------------

% Copyright 2007 - 2018 Universit d'Angers - Author: Alain Clment
%
% This program is free software; you can redistribute it and/or modify it under the terms of the GNU
% General Public License as published by the Free Software Foundation; either version 3 of the
% License, or any later version. This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
% PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received
% a copy of the GNU General Public License along with this program; if not, write to the Free
% Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

%---------------------------------------------------------------------------------------------------

% N'accepte pas les vnements causs par (auteur = soi-mme) pour mise  jour graphique

%---------------------------------------------------------------------------------------------------

if (auteur == fighnd) 
	return
end	

global ISAACINFO

switch event
case 1 % pas d'image cible
	ud = get(fighnd,'UserData');
	if (ud.PTarget == 1)
		set(findobj(fighnd,'Tag','ButParamPull'),'Enable','off')
		set(findobj(fighnd,'Tag','ButParamPush'),'Enable','off')
		set(findobj(fighnd,'Tag','ButConvertir'),'Enable','off')
		set(findobj(fighnd,'Tag','ButSupprimer'),'Enable','off')
		set(findobj(fighnd,'Tag','StxtTargetInfo'),'ForegroundColor',ISAACINFO.TextColor3, ...
			'String','pas d''image cible')
	end	
case 2 % changement de cible
	ud = get(fighnd,'UserData');
	if (ud.PTarget == 1)
		set(findobj(fighnd,'Tag','StxtTargetInfo'),'ForegroundColor',ISAACINFO.TextColor1, ...
			'String',IsaacImage_get(eventobj,'Name'))
		MajBoutons	
	end
case {31,51,81} % modif ECOL
	ud = get(fighnd,'UserData');
	if (ud.PTarget == 1)
		MajBoutons
	end
case 111 % changement de nom image cible
	ud = get(fighnd,'UserData');
	if (ud.PTarget == 1)
		set(findobj(fighnd,'Tag','StxtTargetInfo'),'String',IsaacImage_get(eventobj,'Name'))
	end	
end

% --- Nested fonction ------------------------------------------------------------------------------

function MajBoutons

if IsaacImage_get(eventobj,'IsColorSpace');
	set(findobj(fighnd,'Tag','ButParamPull'),'Enable','on')
	if ~isempty(ud.Param)
		set(findobj(fighnd,'Tag','ButConvertir'),'Enable','on')
	end
	set(findobj(fighnd,'Tag','ButSupprimer'),'Enable','on')
else
	set(findobj(fighnd,'Tag','ButParamPull'),'Enable','off')
	set(findobj(fighnd,'Tag','ButConvertir'),'Enable','off')
	set(findobj(fighnd,'Tag','ButSupprimer'),'Enable','off')
end
if ~isempty(ud.Param)
	set(findobj(fighnd,'Tag','ButParamPush'),'Enable','on')
end	

end % fin nested fonction

%---------------------------------------------------------------------------------------------------

end % fin EcolEdit_upd en raison des nested fonctions
