function LpixEdit_upd(fighnd,event,eventobj,auteur)
%
% @<- EVENEMENTS 1/2/111
%
% Tool for OpenIsaac
%  2018 Alain Clment - Universit d'Angers

%---------------------------------------------------------------------------------------------------

% Copyright 2007 - 2018 Universit d'Angers - Author: Alain Clment
%
% This program is free software; you can redistribute it and/or modify it under the terms of the GNU
% General Public License as published by the Free Software Foundation; either version 3 of the
% License, or any later version. This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
% PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received
% a copy of the GNU General Public License along with this program; if not, write to the Free
% Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

%---------------------------------------------------------------------------------------------------

% N'accepte pas les vnements causs par (auteur = soi-mme) pour mise  jour graphique

%---------------------------------------------------------------------------------------------------

if (auteur == fighnd) 
	return
end	

global ISAACINFO

switch event
case 1 % pas d'image cible
	ud = get(fighnd,'UserData');
	if (ud.PTarget == 1)
		set(findobj(fighnd,'Tag','StxtTargetInfo'),'ForegroundColor',ISAACINFO.TextColor3, ...
			'String','pas d''image cible')
		set(findobj(fighnd,'Tag','EtxtCoord'),'Enable','inactive')
		set(findobj(fighnd,'Tag','ButLPselect'),'Enable','off')
		set(findobj(fighnd,'Tag','ButLPadjust'),'Enable','off')
		set(findobj(fighnd,'Tag','ButLP+'),'Enable','off')
	end
case 2 % changement de cible
	ud = get(fighnd,'UserData');
	if (ud.PTarget == 1)
		set(findobj(fighnd,'Tag','StxtTargetInfo'),'ForegroundColor',ISAACINFO.TextColor1, ...
			'String',IsaacImage_get(eventobj,'Name'))
		if IsaacLPIX_get(ud.Param,'PixNb')
			set(findobj(fighnd,'Tag','EtxtCoord'),'Enable','on')
			set(findobj(fighnd,'Tag','ButLPadjust'),'Enable','on')
		end
		set(findobj(fighnd,'Tag','ButLPselect'),'Enable','on')
		set(findobj(fighnd,'Tag','ButLP+'),'Enable','on')
	end
case 111 % changement de nom image cible
	ud = get(fighnd,'UserData');
	if (ud.PTarget == 1)
		set(findobj(fighnd,'Tag','StxtTargetInfo'),'String',IsaacImage_get(eventobj,'Name'))
	end	
end
