function rect = IsaacImage_mouserect(obj)
% @IsaacImage : slection d'un rectangle  la souris
%
% OpenIsaac
%  2018 Alain Clment - Universit d'Angers

%---------------------------------------------------------------------------------------------------

% Copyright 2007 - 2018 Universit d'Angers - Author: Alain Clment
%
% This program is free software; you can redistribute it and/or modify it under the terms of the GNU
% General Public License as published by the Free Software Foundation; either version 3 of the
% License, or any later version. This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
% PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received
% a copy of the GNU General Public License along with this program; if not, write to the Free
% Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

%---------------------------------------------------------------------------------------------------

figure(obj.fighnd)
dimX = IsaacIMG_get(obj.img,'DimX');
dimY = IsaacIMG_get(obj.img,'DimY');
try	
	[~,rect] = imcrop;
	% le rectangle peut avoir des coordonnes ngatives et non entires
	rect(1) = min(max(1,round(rect(1))),dimX);
	rect(2) = min(max(1,round(rect(2))),dimY);
	rect(3) = min(round(rect(3)),dimX-rect(1)+1);
	rect(4) = min(round(rect(4)),dimY-rect(2)+1);
catch
	% pb en cas de fermeture de fentres pendant la slection !!!
	rect = [];
end

