function IsaacMenuBar_upd(fighnd,event,eventobj,auteur)														%#ok
% Raction IsaacMenuBar aux vnements recus
%
% @<- EVENEMENTS 2/11/12/20/31/32/51/52/81/82/111/112
%
% OpenIsaac
%  2018 Alain Clment - Universit d'Angers

%---------------------------------------------------------------------------------------------------

% Copyright 2007 - 2018 Universit d'Angers - Author: Alain Clment
%
% This program is free software; you can redistribute it and/or modify it under the terms of the GNU
% General Public License as published by the Free Software Foundation; either version 3 of the
% License, or any later version. This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
% PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received
% a copy of the GNU General Public License along with this program; if not, write to the Free
% Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

%---------------------------------------------------------------------------------------------------

% Accepte les vnements causs par (auteur = soi-mme) pour mise  jour graphique

%---------------------------------------------------------------------------------------------------

%if (auteur == fighnd) 
% 	return
%end	

global ISAACPRIV

ud = get(fighnd,'UserData');

indice = 0;
for i = 1:ISAACPRIV.NbOpenImg
	obj = ISAACPRIV.TabIsaacImage(i);
	if (IsaacImage_get(obj,'FigHnd') == IsaacImage_get(eventobj,'FigHnd'))
		indice = i;
		break
	end
end
clear obj

switch event
case 2
	% changement de cible
	set(findobj(allchild(ud.HMenuImages),'Checked','on'),'Checked','off')
	set(findobj(allchild(ud.HMenuImages),'Position',indice), ...
		'Checked','on')
case {11,12}
	% (avant) fermeture image
	delete(findobj(allchild(ud.HMenuImages),'Position',indice))
case 20
	% ajoute le nom de la nouvelle image dans le menu image
	uimenu('Parent',ud.HMenuImages, ...
		'Callback','IsaacMenuBar_cb MItemImage', ...
		'Label',IsaacImage_get(eventobj,'Title'), ...
		'Position',indice);
case {31,32,51,52,81,82,111,112}
	% modifie le nom de l'image dans le menu image
	set(findobj(allchild(ud.HMenuImages),'Position',indice), ...
		'Label',IsaacImage_get(eventobj,'Title'))
end
